using System;

namespace ekskurzuja
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            string s;
            string[] str;
            for (int i = 0; i < t; i++)
            {
                s = Console.ReadLine();
                str = s.Split();
                int n = int.Parse(str[0]);
                int m = int.Parse(str[1]);
                int k = int.Parse(str[2]);
                int b = n / k;
                int a = n - b;
                if (a * (a + 1) / 2 + b * (b + 1) / 2 <= m) { Console.WriteLine("Tak"); }
                else { Console.WriteLine("Nie"); }
            }
           
        }
    }
}